Katello - Bug #7394

Katello prevents other engines from having their routes properly loaded
09/09/2014 10:41 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category:
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/464
Description

Before applying the patch:

1. Clone https://github.com/thomasmckay/roles-plugin
2. In katello.rb add

gemspec :path =>"../katello’, :development_group => :katello_dev
gemspec :path =>"../roles-plugin’

3. Start development server
4. Navigate to /roles

At this point /roles should take you to the normal Foreman Ul page.
After applying patch, and re-starting server, navigation to /roles should produce a different Ul based on nutupane.

Associated revisions

Revision a9da6511 - 09/09/2014 10:41 PM - Eric Helms

Fixes #7394: Stop blocking plugin routes from being loaded properly.
Prior to tis change, if a Foreman plugin was declared via bundler
after Katello in load order, the routes would not get properly loaded

within the application. This meant that these routes were in-accessible,
and could lead to intermittent and un-expected behaviors.

Revision 78eab6fe - 09/11/2014 01:07 PM - Eric Helms
Merge pull request #4648 from ehelms/fixes-7394

Fixes #7394: Stop blocking plugin routes from being loaded properly.

History

#1 - 09/09/2014 10:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4648 added
- Pull request deleted ()

#2 - 09/11/2014 02:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|a9da651135e01c5c90e7b00864ff4a3f142258f7.

#3 - 09/15/2014 02:22 PM - Eric Helms
https://github.com/thomasmckay/roles-plugin
https://projects.theforeman.org/projects/katello/repository/katello/revisions/a9da651135e01c5c90e7b00864ff4a3f142258f7

- translation missing: en.field_release set to 13
